Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033097
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionaryminoralways2016-06-01 09:532016-06-17 19:38
ReporteraaroncaleroView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision5ddea0a0c5bd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033097: [SERQA 1166] Names of Windows implementing Process Definitions appear as UUIDs after a refresh

DescriptionIf we open a window which implements a process definition (e.g. Reset Unit Cost of Direct Process Import Entries) and we refresh the application after that, when the application loads again the window will show processDefinition_processUUID as its name.
Steps To ReproduceLogin in https://livebuilds.openbravo.com/erp_main_pgsql [^] as Openbravo (role: F&B Admin)
Go to the Reset Unit Cost window/process.
Refresh the application.
After the application is loaded the name of the window will be processDefinition_281704CE41444AC4BF9410A725234BFB instead of Reset Unit Cost.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033297 closedcaristu Workspace is opened twice after refreshing the application two times 
related to defect 0033321 closedcaristu Implement isSameTab function for Process Definition based windows 

-  Notes
(0087188)
alostale (developer)
2016-06-13 09:34

Hint: http://wiki.openbravo.com/wiki/How_to_implement_a_new_main_view#Taking_care_of_history.2Fback_button.2Fpage_refresh [^]
(0087367)
hgbot (developer)
2016-06-16 19:32

Repository: erp/devel/pi
Changeset: 5ddea0a0c5bd01321eaa2695c2173d99c2c419f5
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jun 16 19:31:38 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5ddea0a0c5bd01321eaa2695c2173d99c2c419f5 [^]

fixes issue 33097: Process Definitions tab title appear as UUIDs after refresh
Implemented the getBookMarkParams method for parameter window view.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-base-parameter-window-view.js
---
(0087370)
alostale (developer)
2016-06-17 08:03

Code reviewed + tested
(0087633)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-06-01 09:53 aaroncalero New Issue
2016-06-01 09:53 aaroncalero Assigned To => platform
2016-06-01 09:53 aaroncalero Modules => Core
2016-06-01 09:53 aaroncalero Triggers an Emergency Pack => No
2016-06-06 18:40 amayavicente Summary [SERQA 1038] Names of Windows implementing Process Definitions appear as UUIDs after a refresh => [SERQA 1166] Names of Windows implementing Process Definitions appear as UUIDs after a refresh
2016-06-07 08:55 VictorVillar Priority normal => urgent
2016-06-07 08:55 VictorVillar Severity minor => major
2016-06-08 13:01 alostale Severity major => minor
2016-06-08 13:01 alostale Status new => acknowledged
2016-06-13 09:34 alostale Note Added: 0087188
2016-06-15 17:41 caristu Assigned To platform => caristu
2016-06-15 17:42 caristu Status acknowledged => scheduled
2016-06-16 19:32 hgbot Checkin
2016-06-16 19:32 hgbot Note Added: 0087367
2016-06-16 19:32 hgbot Status scheduled => resolved
2016-06-16 19:32 hgbot Resolution open => fixed
2016-06-16 19:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5ddea0a0c5bd01321eaa2695c2173d99c2c419f5 [^]
2016-06-16 19:33 caristu Review Assigned To => alostale
2016-06-16 19:37 caristu Relationship added related to 0033297
2016-06-17 08:03 alostale Note Added: 0087370
2016-06-17 08:03 alostale Status resolved => closed
2016-06-17 08:03 alostale Fixed in Version => 3.0PR16Q3
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087633
2016-06-21 13:02 caristu Relationship added related to 0033321


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker